"""empty message

Revision ID: 78a161c9da3b
Revises: 
Create Date: 2024-03-14 23:45:07.556652

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa
import sqlmodel

# revision identifiers, used by Alembic.
revision: str = '78a161c9da3b'
down_revision: Union[str, None] = None
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('magiclinkauthrecord',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('email', sqlmodel.sql.sqltypes.AutoString(), nullable=False),
    sa.Column('otp_hash', sa.LargeBinary(), nullable=False),
    sa.Column('created', sa.DateTime(timezone=True), server_default=sa.text('(CURRENT_TIMESTAMP)'), nullable=False),
    sa.Column('expiration', sa.DateTime(timezone=True), server_default=sa.text('(CURRENT_TIMESTAMP)'), nullable=False),
    sa.Column('client_ip', sqlmodel.sql.sqltypes.AutoString(), nullable=False),
    sa.Column('recent_attempts', sa.Integer(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('magiclinkauthsession',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('email', sqlmodel.sql.sqltypes.AutoString(), nullable=False),
    sa.Column('persistent_id', sqlmodel.sql.sqltypes.AutoString(), nullable=False),
    sa.Column('session_token', sqlmodel.sql.sqltypes.AutoString(), nullable=False),
    sa.Column('created', sa.DateTime(timezone=True), server_default=sa.text('(CURRENT_TIMESTAMP)'), nullable=False),
    sa.Column('expiration', sa.DateTime(timezone=True), server_default=sa.text('(CURRENT_TIMESTAMP)'), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_magiclinkauthsession_email'), 'magiclinkauthsession', ['email'], unique=False)
    op.create_index(op.f('ix_magiclinkauthsession_persistent_id'), 'magiclinkauthsession', ['persistent_id'], unique=False)
    op.create_index(op.f('ix_magiclinkauthsession_session_token'), 'magiclinkauthsession', ['session_token'], unique=True)
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_magiclinkauthsession_session_token'), table_name='magiclinkauthsession')
    op.drop_index(op.f('ix_magiclinkauthsession_persistent_id'), table_name='magiclinkauthsession')
    op.drop_index(op.f('ix_magiclinkauthsession_email'), table_name='magiclinkauthsession')
    op.drop_table('magiclinkauthsession')
    op.drop_table('magiclinkauthrecord')
    # ### end Alembic commands ###
